aboutsummaryrefslogtreecommitdiffstats
path: root/test/restore.sh
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
committergramanas <anastasis.gramm2@gmail.com>2018-11-19 19:11:06 +0200
commit78ee1c72c670a71bfd165448676fc65bff802916 (patch)
tree893b0f09dfc84f3fd7f1ac218213012f33d5b612 /test/restore.sh
parent84bbbb91c9154ca0b1c295eb7d1aa0de59450764 (diff)
downloadck-78ee1c72c670a71bfd165448676fc65bff802916.tar.gz
ck-78ee1c72c670a71bfd165448676fc65bff802916.tar.bz2
ck-78ee1c72c670a71bfd165448676fc65bff802916.zip
Add ability to use ck without secret dir
Diffstat (limited to 'test/restore.sh')
-rw-r--r--test/restore.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/test/restore.sh b/test/restore.sh
new file mode 100644
index 0000000..2d60cb9
--- /dev/null
+++ b/test/restore.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+init restore
+
+# setup test configs
+path1=$BIN/test1.conf
+path2=$BIN/test2.conf
+path3=$BIN/test3.conf
+path4=$BIN/test4.conf
+
+add_config prog1 $path1
+add_config prog1 $path2
+
+add_config prog2 $path3
+add_config prog2 $path4
+
+# delete prog1 links
+rm "$path1" "$path2"
+
+# restore them
+exec $BIN/ck -c $BIN restore -p prog1 >&${V} &
+wait $!
+
+for i in $($BIN/ck -c $BIN list -p prog1); do
+ if [[ ! -L "$i" ]]; then
+ err "Couldn't restore path $i"
+ exit 1
+ fi
+done
+
+## delete all links
+rm "$path1" "$path2" "$path3" "$path4"
+
+# restore all
+exec $BIN/ck -c $BIN restore all >&${V} &
+wait $!
+
+for i in $($BIN/ck -c $BIN list paths); do
+ if [[ ! -L "$i" ]]; then
+ err "Couldn't restore path $i"
+ exit 1
+ fi
+done
+
+clear_tests
+echo -e $PASS